> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/actions/action-details.md).

# Action details

You can add or update triggers through [Settings](/reference/settings.md) > [Data governance](/reference/settings/data-governance.md) > [Business rules](/reference/settings/data-governance/business-rules.md) > [Actions](/reference/settings/data-governance/business-rules/business-rule-details/actions.md).

<table><thead><tr><th width="374">Action</th><th>Description</th></tr></thead><tbody><tr><td>Create a task</td><td>Creates a user task with the entities that matches the defined conditions for the action. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#create-a-task">configuration</a>)</td></tr><tr><td>Throw error</td><td>Throws an error to the user, when conditions are met. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#throw-error">configuration</a>)</td></tr><tr><td>Warn user on entity save</td><td>Use to show a warning to the user, when conditions are met. The user can choose to ignore the warning and proceed (only executes on single entity save).</td></tr><tr><td>Start AI text generation</td><td>Queues a background task to generate text using the Struct AI assistant for entity. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#start-ai-text-generation">configuration</a>)</td></tr><tr><td>Start AI translation</td><td>Queues a background task to translate text using struct AI assistant for entity. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#start-ai-translation">configuration</a>)</td></tr><tr><td>Archive entity</td><td>Archives an entity when conditions are met. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#archive-product">configuration</a>)</td></tr><tr><td>Change primary category</td><td>Change primary category when conditions are met. Old primary category will be removed as relation.</td></tr><tr><td>Change product structure</td><td>Changes product structure when conditions are met. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#change-product-structure">configuration</a>)</td></tr><tr><td>Change workflow state for entity</td><td>Changes workflow state for entity when conditions are met. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#change-workflow-state-for-entity">configuration</a>)</td></tr><tr><td>Change variation definition</td><td>Change variation definition when conditions are met.</td></tr><tr><td>Aggregate data from children to entity</td><td>Aggregate data from children to product. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#aggregate-data-from-children-to-product">configuration</a>)</td></tr><tr><td>Calculate value</td><td>Calculates a value based on different attribute values and saves the result in another attribute.  (Additional <a href="/pages/dTAiog84RbTocGbcngUN#calculate-value">configuration</a>)</td></tr><tr><td>Concatenate value</td><td>Calculates a value from different attributes and saves the result in another attribute. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#e">configuration</a>)</td></tr><tr><td>Copy attribute value</td><td>Copies an attribute value from another attribute on the same entity or from a parent. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#copy-attribute-value">configuration</a>)</td></tr><tr><td>Copy system value</td><td>Allows copying a system value to an attribute on the same product or from a parent.</td></tr><tr><td>Trigger sub rule</td><td>Triggers a sub rule. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#trigger-sub-rule">configuration</a>)</td></tr><tr><td>Reset attribute value</td><td>Resets a specific attribute value, used to blank a value. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#reset-attribute-value">configuration</a>)</td></tr><tr><td>Update entity attribute value</td><td>Updates a specific entity attribute value. (Additional <a href="/pages/dTAiog84RbTocGbcngUN#update-product-attribute-value">configuration</a>)</td></tr><tr><td>Un-archive entity</td><td>Un-archives entity when conditions are met.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/actions/action-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
